> ## Documentation Index
> Fetch the complete documentation index at: https://docs.reap.global/llms.txt
> Use this file to discover all available pages before exploring further.

# Get related person

> Retrieves a specific related person by their ID.



## OpenAPI

````yaml /api-reference/openapi.json get /companies/{id}/related-persons/{personId}
openapi: 3.1.0
info:
  title: Reap API
  version: 1.0.0
  description: Reap platform API
servers:
  - url: https://sandbox.api.reap.global
    description: Sandbox
  - url: https://prod.api.reap.global
    description: Production
security:
  - bearerAuth: []
tags:
  - name: Accounts
  - name: Activities
  - name: Card Designs
  - name: Card Shipments
  - name: Card Transactions
  - name: Cards
  - name: Companies
  - name: Crypto Deposits
  - name: Policies
  - name: Simulation
  - name: Users
  - name: Virtual Asset Postings
  - name: Virtual Assets
  - name: Webhooks
paths:
  /companies/{id}/related-persons/{personId}:
    get:
      tags:
        - Companies
      summary: Get related person
      description: Retrieves a specific related person by their ID.
      operationId: getRelatedPerson_companies
      parameters:
        - name: id
          in: path
          required: true
          schema:
            description: Company identifier
            type: string
            format: uuid
        - name: personId
          in: path
          required: true
          schema:
            description: Related person identifier
            type: string
            format: uuid
        - name: Reap-Version
          in: header
          required: true
          schema:
            type: string
            enum:
              - '2025-02-14'
            description: API version (YYYY-MM-DD)
            example: '2025-02-14'
      responses:
        '200':
          description: Related person details
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/RelatedPerson'
                type: object
                properties:
                  id:
                    description: Unique related person identifier
                    type: string
                    format: uuid
                  companyId:
                    description: Company this person belongs to
                    type: string
                    format: uuid
                  fullName:
                    anyOf:
                      - type: string
                      - type: 'null'
                    description: Full name of the person
                  email:
                    anyOf:
                      - type: string
                        format: email
                        pattern: >-
                          ^(?!\.)(?!.*\.\.)([A-Za-z0-9_'+\-\.]*)[A-Za-z0-9_+-]@([A-Za-z0-9][A-Za-z0-9\-]*\.)+[A-Za-z]{2,}$
                      - type: 'null'
                    description: Email address of the person
                  status:
                    type: string
                    enum:
                      - NOT_STARTED
                      - IN_REVIEW
                      - APPROVED
                      - REJECTED
                    description: Verification status
                    example: NOT_STARTED
                  createdAt:
                    type: string
                    description: When the person was added (ISO 8601)
                  updatedAt:
                    type: string
                    description: When the person was last updated (ISO 8601)
                required:
                  - id
                  - companyId
                  - fullName
                  - email
                  - status
                  - createdAt
                  - updatedAt
        '404':
          description: Response for status 404
          content:
            application/json:
              schema:
                anyOf:
                  - type: object
                    properties:
                      error:
                        type: object
                        properties:
                          code:
                            type: string
                            const: COMPANY_NOT_FOUND
                          message:
                            type: string
                          detail:
                            anyOf:
                              - type: object
                                additionalProperties: {}
                              - type: 'null'
                        required:
                          - code
                          - message
                          - detail
                    required:
                      - error
                    title: CompanyNotFoundError
                    description: Company not found
                  - type: object
                    properties:
                      error:
                        type: object
                        properties:
                          code:
                            type: string
                            const: COMPANY_RELATED_PERSON_NOT_FOUND
                          message:
                            type: string
                          detail:
                            anyOf:
                              - type: object
                                additionalProperties: {}
                              - type: 'null'
                        required:
                          - code
                          - message
                          - detail
                    required:
                      - error
                    title: CompanyRelatedPersonNotFoundError
                    description: Related person not found
components:
  schemas:
    RelatedPerson:
      type: object
      properties:
        id:
          description: Unique related person identifier
          type: string
          format: uuid
        companyId:
          description: Company this person belongs to
          type: string
          format: uuid
        fullName:
          anyOf:
            - type: string
            - type: 'null'
          description: Full name of the person
        email:
          anyOf:
            - type: string
              format: email
              pattern: >-
                ^(?!\.)(?!.*\.\.)([A-Za-z0-9_'+\-\.]*)[A-Za-z0-9_+-]@([A-Za-z0-9][A-Za-z0-9\-]*\.)+[A-Za-z]{2,}$
            - type: 'null'
          description: Email address of the person
        status:
          type: string
          enum:
            - NOT_STARTED
            - IN_REVIEW
            - APPROVED
            - REJECTED
          description: Verification status
          example: NOT_STARTED
        createdAt:
          type: string
          description: When the person was added (ISO 8601)
        updatedAt:
          type: string
          description: When the person was last updated (ISO 8601)
      required:
        - id
        - companyId
        - fullName
        - email
        - status
        - createdAt
        - updatedAt
      description: Company related person
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      description: API key as Bearer token

````